Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Interface PlaceableDefinition

All Known Implementing Classes:
  BookDefinition, PortletDefinition

public interface PlaceableDefinition

Represents entities that may be placed on other entities. E.g. Books and Portlets.

Method Summary
`String` | `getDefinitionLabel()` Returns the definition label associated with this `PlaceableDefinition`.
`String` | `getDescription()` Returns the description associated with this `PlaceableDefinition`.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this placeable based on the locale of the request used for retrieving the menu.
`PlaceableDefinitionId` | `getPlaceableDefinitionId()` Returns a `PlaceableDefinitionId` associated with this `PlaceableDefinition`.
`String` | `getTitle()` Returns the title associated with this `PlaceableDefinition`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this `PlaceableDefinition` is scoped to.

Method Detail

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definition label associated with this `PlaceableDefinition`.

  Returns:
    definition label

### getDescription

    public String getDescription()

  Returns the description associated with this `PlaceableDefinition`.

  Returns:
    description

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this placeable based on the locale of the request used for retrieving the menu.

  Returns:
    `LocalizationResource` associated with this placeable

### getPlaceableDefinitionId

    public PlaceableDefinitionId getPlaceableDefinitionId()

  Returns a `PlaceableDefinitionId` associated with this `PlaceableDefinition`. May return `NULL` if the `PlaceableDefinition` has not been retrieved using the persistence API

  Returns:
    `PlaceableDefinitionId`

### getTitle

    public String getTitle()

  Returns the title associated with this `PlaceableDefinition`.

  Returns:
    title

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this `PlaceableDefinition` is scoped to.

  Returns:
    web application name

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved